<div class="btnAcrossPageName">
    <mb-button mbButtonSize="MEDIUM" mbButtonAvailableStyle="ADD_NEW" (click)="showModal(footerTmpl)"
               mbButtonText="{{'partnership.add' | translate}}"
               *ngIf="objFunction?.edit"
    ></mb-button>
</div>


<div class="content__item content__item--border bg__content--default">
    <app-loading *ngIf="isLoadingPage"></app-loading>
    <form nz-form [formGroup]="formSearch" (keyup.enter)="doSearch(1)" style="margin-bottom: 8px">
        <div nz-row [nzGutter]="[30,30]">

            <!-- Đơn vị -->
            <div nz-col nzXs="24" nzLg="8">
                <org-data-picker
                    mbLabelText="{{'partnership.workHisInformation.label.attributes.organization' | translate}} "
                    formControlName="org"
                    [scope]="scope"
                    [functionCode]="functionCode"
                >
                </org-data-picker>
            </div>

            <!-- Nhóm Đơn vị -->
            <div nz-col nzXs="24" nzLg="8">
                <mb-select
                    [mbDataSelects]="orgGroupSelects"
                    mbKeyLabel="label"
                    mbKeyValue="value"
                    mbPlaceholder="{{'partnership.pns-contract.label.orgGroup' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.orgGroup' | translate}} "
                    formControlName="orgGroup"
                ></mb-select>
            </div>

            <!-- Đối tượng -->
            <div nz-col nzXs="24" nzLg="8">
                <mb-select
                    [mbDataSelects]="empTypeSelect" [mbKeyLabel]="'label'" [mbKeyValue]="'value'"
                    formControlName="empTypeCode" [mbKeyValueStringType]="true"
                    mbPlaceholder="{{'partnership.pns-contract.label.subject' | translate }}"
                    mbLabelText="{{'partnership.pns-contract.label.subject' | translate}}"
                ></mb-select>
            </div>

            <!-- Nhóm chức danh -->
            <div nz-col nzXs="24" nzLg="8">
                <mb-select
                    [mbKeyValueStringType]="true"
                    mbPlaceholder="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                    [mbDataSelects]="positionGroupList"
                    mbLabelText="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                    formControlName="positionGroupId"
                >
                </mb-select>
            </div>

            <!-- Hiệu lực từ ngày -->
            <div nz-col nzXs="24" nzLg="8">
                <mb-date-picker
                    formControlName="fromDate"
                    mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
                    mbPlaceholderText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
                ></mb-date-picker>
            </div>

            <!-- Hiệu lực đến ngày -->
            <div nz-col nzXs="24" nzLg="8">
                <mb-date-picker
                    formControlName="toDate"
                    mbLabelText="{{'partnership.pns-contract.label.effectiveFromDate' | translate}}"
                    mbPlaceholderText="{{'partnership.pns-contract.label.toDate' | translate}}"
                ></mb-date-picker>
            </div>

        </div>

    </form>

    <div nz-row class="btn__row">
        <div nz-col nzSpan="8"></div>
        <div nz-col nzSpan="8">
            <div style="text-align: center">
                <mb-button
                    class="staff__research__btn__search"
                    mbButtonSize="MEDIUM"
                    mbButtonAvailableStyle="SEARCH"
                    (click)="doSearch()"
                    *ngIf="objFunction?.view"
                    mbButtonText="{{'partnership.label.search' | translate}}"
                ></mb-button>
                <mb-button
                    mbButtonSize="MEDIUM"
                    mbButtonType="BORDER"
                    *ngIf="objFunction?.view"
                    (click)="doExportData()"
                >
                    <img src="/assets/icon/staff-manager/export_excel.svg" alt=""/>
                </mb-button>
            </div>
        </div>
        <div nz-col nzSpan="8"></div>
    </div>

</div>


<div class="search__result">
    <mb-table-wrap>
        <mb-table (changePageNum)="doSearch($event)" [tableConfig]="tableConfig" [tableData]="searchResult">
        </mb-table>
    </mb-table-wrap>
</div>


<ng-template #contractTypeName let-contractTypeName="contractTypeName">
    <div *ngFor="let contractName of contractTypeName">
        + {{contractName}}
    </div>
</ng-template>


<ng-template #actionTmpl let-configSeqContractId="configSeqContractId">
    <div class="btnWrap">
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" mbPrefixIcon="far fa-pencil-alt"
                   (click)="showModal(footerTmpl, configSeqContractId)"
                   *ngIf="objFunction?.edit"
                   nz-tooltip nzTooltipTitle="{{'partnership.pns-contract.label.edit' | translate}}"></mb-button>
        <mb-button mbButtonType="ONLY_ICON" mbButtonIconType="AWESOME" nz-popconfirm
                   nzPopconfirmTitle="{{'partnership.pns-contract.action.confirmDelete' | translate}}"
                   nzCancelText="{{'partnership.pns-contract.action.cancel' | translate}}" nzOkType="primary"
                   nzOkText="{{'partnership.pns-contract.action.yes' | translate}}"
                   (nzOnConfirm)="doDelete(configSeqContractId)"
                   *ngIf="objFunction?.delete"
                   nz-tooltip nzTooltipTitle="{{'partnership.pns-contract.label.delete' | translate}}"
                   nzPopconfirmPlacement="top" mbPrefixIcon="fal fa-trash-alt"></mb-button>
    </div>
</ng-template>

<ng-template #scopeTmpl let-orgName="orgName" let-orgGroup="orgGroup">
    <span *ngIf="orgName">{{'partnership.pns-contract.label.org' | translate}}</span>
    <span *ngIf="orgGroup">{{'partnership.pns-contract.label.orgGroup' | translate}}</span>
</ng-template>

<ng-template #footerTmpl>
    <button nz-button nzType="default" (click)="modal.destroy()">{{'common.button.cancel' | translate}}</button>
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="modal.getContentComponent().save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
</ng-template>
